Subject: Re: bug#35770: [PATCH] Broken duplicate case elimination in switch byte-compilation

From: Stefan Monnier <[email-masked]>
Date: Sun, 26 May 2019 18:06:54 -0400

> More generally, I can't say I like this, and don't understand why this
> would be better than reverting the offending change on emacs-26.  Why
> is it a problem to defer the features which caused the regression to
> Emacs 27?

I personally don't have a preference.  I find reverting the change to be
a more intrusive change with more risks of errors, but it's likely
a wash either way.

FWIW I also think it's generally good to introduce new byte-codes in one
version and only enable the compiler to use them in the next version
(that's what I did for the condition-case byte codes, for example).

        Stefan